EZ_GetItemUnknownData(3)

NAME
EZ_SetItemUnknownData, EZ_GetItemUnknownData, EZ_GetItemUnknownDataPtr
 - register/retrieve arbitary data to a display item

SYNOPSIS
#include <EZ.h>

typedef union {
  char            c;
  short           s;
  int             i;
  long            l;
  unsigned char   uc;
  unsigned short  us;
  unsigned int    ui;
  unsigned long   ul;
  float           f;
  void            *p;
} EZ_UnknownDataType;

void EZ_SetItemUnknownData( EZ_Item*Item, int idx,
                               EZ_UnknownDataType data)
int  EZ_GetItemUnknownData( EZ_Item*Item, int idx,
                               EZ_UnknownDataType *data_ret)
EZ_UnknownDataType EZ_GetItemUnknownDataPtr( EZ_Item*Item)

ARGUMENTS
Item Specifies a display item.

idx Specifies a positive integer.

data Specifies an entity of type EZ_UnknownDataType.

data_ret Specifies the return for client data.

DESCRIPTION

These functions attach client data to a display item. They are convenient (but a little dangerous) routines. They come handy when one wants to attach a few client data to a display item and does not feel like to create special data structures to handle them.

EZ_SetItemUnknownData (re)allocates the storage allocated for client data and set the 'idx' entry to

EZ_GetItemUnknownData retrieves the client data stored at the 'idx' location. It returns 1 if the 'idx'th entry is available and returns 0 otherwise.

EZ_GetItemUnknownDataPtr returns the array allocated for client data.

SEE ALSO
EZ_SetItemPtrData(3), EZ_SetItemIntData(3),